* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: "PT Sans", sans-serif;
    outline: none;
}

html,body {
    height: 100%;
}

body {
    overflow-x: hidden;
}

body {
    background-color: rgba(249,250,254,1);
}

header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: #FFF;
    padding: 30px 15px;
    border-bottom: 1px solid rgb(231,233,237);
    z-index: 4;
}

header ul {
    list-style: none;
    display: flex;
    width: 100%;
    align-items: center;
}

header ul li {
    flex: none;
    margin: 0px 20px;
}

header ul li a {
    
    display: inline-block;
}

header .timer {
    font-size: 30px;
    line-height: 30px;
    font-weight: bold;
    color: rgb(153,162,176);
    text-decoration: none;
    margin-left: auto;
}

header ul > :nth-child(3) {
    margin-left: auto;
}

li:has(.top_search) {
    display: flex;
}

.top_search {
    height: 40px;
    padding: 8px 10px;
    margin-top: -5px;
    border: 2px solid rgb(153,162,176);
    border-radius: 10px;
    width: 0px;
    opacity: 0;
    box-sizing: border-box;
    transition: 0.3s all linear;
    outline: none;
}

#do_top_search {
    display: none;
}

#do_top_search:checked + .top_search {
    width: 500px;
    opacity: 1;
}

#do_top_search:checked ~ .icon {
    left: -40px;
}

#do_top_search ~ .icon {
    left: 0;
    transition: 0.3s all linear !important;
    cursor: pointer;
}

aside {
    width: 120px;
    background-color: #FFF;
    padding: 30px 15px;
    border-right: 1px solid rgb(231,233,237);
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    margin-top: 90px;
}

aside ul {
    list-style: none;
    display: flex;
    flex-direction: column;
}

aside ul li {
    text-align: center;
    margin-bottom: 15px;
    margin-top: 10px;
}

aside ul li a {
    text-decoration: none;
    color: rgb(167 173 181);
    font-size: 12px;
    display: inline-block;
    padding-top: 50px;
}

section {
    width: 100%;
    min-height: 100%;
    height: auto;
    padding-top: 110px;
    padding-left: 120px;
    display: block;
}

h1 {
    margin: 20px 0px 10px 0px;
    padding: 0px 0px 20px 30px;
    border-bottom: 1px solid rgb(231,233,237);
    font-size: 36px;
    font-weight: normal;
    color: rgb(75, 75, 75);
}

main {
    height: 100%;
}

section > div {
    width: calc(100% - 40px);
    height: calc(100% - 105px);
    border: 1px solid rgb(231,233,237);
    border-radius: 5px;
    margin: 20px;
}

.table_container, .inherit_table, .comment_container {
    background-color: #FFF;
    display: flex;
    flex-direction: column;
}

 .inherit_table {
     width: 100%;
 }

.table_row, .inherit_row, .comment_row {
    display: flex;
    border-bottom: 1px solid rgb(231,233,237);
    align-items: center;
}

.comment_row {
    border: none !important;
}

.table_row:hover {
    background-color: rgb(249,250,254)
}

#authForm .table_row:hover, dialog .table_row:hover {
    background-color: transparent;
}

.table_cell {
    padding: 15px 10px;
    font-size: 16px;
    color: #333;
    flex: var(--cell-width);
}

.inherit_cell, .comment_cell {
    padding: 5px 10px 5px 30px;
    font-size: 14px;
    color: #333;
    flex: var(--cell-width);
    min-height: 50px;
}

.comment_cell {
    padding: 5px !important;
    min-height: auto !important;
}

.comment_cell i {
    width: auto !important;
}

dialog .table_cell {
    padding: 10px;
}

.table_header {
    background-color: rgb(241 245 249);
    color: #222222;
    padding: 25px 10px;
    font-weight: bold;
}

footer {
    position: fixed;
    bottom: 0;
    left: 0;
    width: calc(100% - 140px);
    background-color: #FFF;
    padding: 20px 30px;
    border-top: 1px solid rgb(231,233,237);
    border-left: 1px solid rgb(231,233,237);
    z-index: 2;
    margin-left: 140px;
}

footer > ul {
    list-style: none;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

footer ul ul {
    list-style: none;
    display: flex;
}

footer ul ul li a {
    text-decoration: none;
    font-size: 16px;
    color: #222222;
    display: inline-block;
    min-width: 36px;
    padding: 10px 5px;
    text-align: center;
    border-radius: 3px;
    margin: 0px 5px;
}

footer ul ul li a.active {
    background-color: rgb(56,97,232);
    color: #FFF;
}

footer ul ul li a:hover {
    background-color: rgb(90, 126, 244);
    color: #FFF;
}

dialog {
    position: fixed;
    width: 800px;
    z-index: 100;
    background-color: #FFF;
    top: 100px;
    left: 50%;
    transform: translateX(-50%);
    border-radius: 10px;
    border: none;
}

dialog::backdrop {
    background-color: rgba(0,0,0,0.75);
    backdrop-filter: blur(3px);
}

dialog input[type=text],dialog input[type=password],dialog input[type=number], #authForm input, select, textarea, input[type="datetime-local"], input[type=file], input[type=date], input[type=text] {
    width: 98%;
    padding: 5px;
    font-size: 16px;
    outline: none;
    border: 1px solid rgb(153,162,176);
    border-radius: 5px;
    resize: none;
}

dialog .table_cell button, #authForm button, .table_stat button, .submit button {
    font-size: 20px;
    width: 300px !important;
    height: auto !important;
    text-align: center;
    padding: 15px 0px;
    display: block;
    margin: auto;
    color: #FFF;
    outline: none;
}

.button_ok {
    background-color: green !important;
    border-radius: 5px;
}

.button_cancel {
    background-color: red !important;
    border-radius: 5px;
}

.button_warning {
    background-color: orange !important;
    border-radius: 5px;
}

.button_action {
    background-color: rgb(58, 104, 214) !important;
    border-radius: 5px;
}

.customSelectValues {
    display: inline-block;
    padding: 3px;
    background-color: antiquewhite;
    font-size: 14px;
    border: 1px solid rgb(211, 168, 113);
    margin: 3px;
    border-radius: 3px;
}

.custom_delete_a {
    color: brown;
    font-size: 12px;
    display: inline-block;
    margin: 0px 5px;
    text-decoration: none;
}

h1 .icon {
    float: right;
    margin-right: 60px;
}

.img_icon {
    width: 60px;
    height: 60px;
    border-radius: 50%;
}

.internal_link {
    text-decoration: none;
    color: rgb(90, 126, 244);
}

.img_small {
    width: 20px;
    height: 20px;
    margin-right: 10px;
}

.flex {
    display: flex;
    align-items: center;
}

.loading {
    color: rgb(88, 121, 219);
    font-size: 14px;
    font-style: italic;
    display: block;
    flex: none;
    padding: 5px;
    text-align: center;

}


#authForm {
    position: fixed;
    width: 600px;
    z-index: 10;
    top: 100px;
    left: 50%;
    transform: translateX(-50%);
    background-color: #FFF;
    border: 1px solid rgb(231,233,237)
}

.button_inactive {
    background-color: #CCC !important;
    color: #FFF !important;
    pointer-events: none !important;
}

.hr {
    border-top: 1px solid #CCC;
    margin-top: 20px;
    margin-bottom: 20px;
}

.table_row {
    align-items: stretch;
}

.table_container:has(.table_row .table_stat) {
    background-color: transparent !important;
}

.table_stat {
    padding: 50px 30px;
    background-color: #FFF;
}

.table_stat:has(big,small) {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.table_stat big {
    font-size: 72px;
    display: block;
    text-align: center;
    margin-bottom: 30px;
    color: cornflowerblue;
}

.table_stat small {
    font-size: 36px;
    display: block;
    text-align: center;
}

big.writing {
    color: cornflowerblue;
}

big.ready {
    color: orange;
}

big.winner {
    color: green;
}

big.loser {
    color: red;
}

.top_header {
    font-size: 20px !important;
    text-align: center !important;
    background-color: rgb(227, 234, 241);
}

.fileloader {
    width: 100%;
    height: 50px;
    border: 1px solid #AAA;
    border-radius: 3px;
    cursor: pointer;
    display: block;
    color: #AAA;
    font-size: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.fileloader input {
    display: none;
}

.drop {
    border: 1px dashed #CCC;
    color: #CCC;
}

.photoContainer {
    width: 230px;
    height: 150px;
    min-width: 230px;
    max-width: 230px;
    min-height: 150px;
    max-height: 150px;
    overflow: hidden;
    border: 1px solid #CCC;
}

.photoContainer img {
    width: 180%;
}

.table_cell table td {
    padding: 5px !important;
    background-color: #FFF !important;
}

li:has([data-notifier]) {
    position: relative;
}

.notif_counter {
    content: attr(data-notifier);
    transition: 0.3s ease-in-out opacity;
    pointer-events: none;
    text-align: center;
    background-color: rgb(233, 97, 51);
    color: #FFFFFF;
    font-size: 14px;
    line-height: 16px;
    font-weight: 400;
    text-transform: none;
    padding: 3px 3px 3px 2px;
    border-radius: 10px;
    min-width: 20px;
    width: auto;
    height: 20px;
    line-break: strict;
    white-space: nowrap;
    position: absolute;
    top: -5px;
    left: calc(100% - 15px);
    z-index: 1;
    transform: translateX(-50%);
}

.filter_containter{
    display: inline-block;
    list-style: none;
    margin-left: 30px;
    position: relative;
    top: 10px;
}

.filter_containter li {
    display: inline-block;
    margin: 0;
}

.filter_containter li .filter {
    width: 40px;
    height: 40px;
    background-color: #f1f5f9;
    display: inline-block;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: 24px;
    border: 1px solid #DDD;
}

.filter_all {
    background-image: url(/assets/icons/filter_all_in.png);
}

.filter_all:hover, .filter_all_active {
    background-image: url(/assets/icons/filter_all.png);
    background-color: #DDD !important;
}

.filter_writing {
    background-image: url(/assets/icons/filter_writing_in.png);
}

.filter_writing:hover, .filter_writing_active {
    background-image: url(/assets/icons/filter_writing.png);
    background-color: #DDD !important;
}

.filter_ok {
    background-image: url(/assets/icons/filter_ok_in.png);
}

.filter_ok:hover, .filter_ok_active {
    background-image: url(/assets/icons/filter_ok.png);
    background-color: #DDD !important;
}

.filter_show {
    background-image: url(/assets/icons/filter_show_inactive.png);
}

.filter_show:hover, .filter_show_active {
    background-image: url(/assets/icons/filter_show_active.png);
    background-color: #DDD !important;
}

.filter_hidden {
    background-image: url(/assets/icons/filter_hidden_inactive.png);
}

.filter_hidden:hover, .filter_hidden_active {
    background-image: url(/assets/icons/filter_hidden_active.png);
    background-color: #DDD !important;
}


.filter_wait {
    background-image: url(/assets/icons/filter_wait_in.png);
}

.filter_wait:hover, .filter_wait_active {
    background-image: url(/assets/icons/filter_wait.png);
    background-color: #DDD !important;
}

.filter_finished {
    background-image: url(/assets/icons/filter_finished_in.png);
}

.filter_finished:hover, .filter_finished_active {
    background-image: url(/assets/icons/filter_finished.png);
    background-color: #DDD !important;
}

.filter_deny {
    background-image: url(/assets/icons/filter_deny_in.png);
}

.filter_deny:hover, .filter_deny_active {
    background-image: url(/assets/icons/filter_deny.png);
    background-color: #DDD !important;
}

.filter_containter li .filter:hover {
    background-color: #DDD;
}

.filter_containter :first-child .filter {
    border-radius:10px 0px 0px 10px;
}

.filter_containter :last-child .filter {
    border-radius:0px 10px 10px 0px;
}

.filter_other_tasks {
    background-image: url(/assets/icons/filter_other_tasks.png);
}

.filter_other_tasks:hover, .filter_other_tasks_active {
    background-image: url(/assets/icons/filter_other_tasks_active.png);
    background-color: #DDD !important;
}

.table_cell input[type=submit] {
    display: block;
    margin: 5px auto;
    padding: 5px 10px;
    background-color: #DDD;
    border: none;
    font-size: 16px;
    cursor: pointer;
}

.comment_label {
    display: inline-block;
    width: 200px;
    margin: 5px;
    padding: 5px;
    text-align: right;
    color: #FFF;
    clip-path: polygon(0% 0%,  100% 0%, 100% 100%, 0% 100%, 20px 14px, 0% 0%);
}

.comment_interesting {
    background-color: orange;
}

.comment_problem {
    background-color: red;
}

.comment_ok {
    background-color: green;
}

.task_stat {
    display: inline-block;
    margin-right: 20px;
    padding-left: 24px;
    background-repeat: no-repeat;
    background-position: center left;
    background-size: 16px;
    white-space: nowrap;
}

.stat_checklist {
    background-image: url(/assets/icons/filter_ok_in.png);
}

.stat_comments {
    background-image: url(/assets/icons/filter_all_in.png);
}

.cards_container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    
    & .card {
        background-color: #FFF;
        border-radius: 5px;
        margin: 25px;
        min-width: 700px;
        max-width: 700px;
        border: 1px solid rgb(231, 233, 237);
        
        & h2 {
            background-color: rgb(227, 234, 241);
            padding: 10px;
            font-weight: bold;
            text-align: left;
            color: black;
            font-size: 20px;
            height: 70px;
            text-align: center;
            vertical-align: center;
            display: flex;
            align-items: center;
            justify-content: center;
            position: relative;
            
            & input[type=checkbox] {
                
                display: none;
                
                &:checked + label::after {
                    left: 23px;
                    background-color: red;
                }
                
            }
            
            & label {
                position: absolute;
                display: block;
                width: 40px;
                height: 20px;
                right: 10px;
                border: 1px solid rgb(201, 201, 201);
                border-radius: 10px;
                
                &::after {
                    content: '';
                    display: block;
                    width: 14px;
                    height: 14px;
                    background-color: green;
                    position: absolute;
                    top: 2px;
                    left: 2px;
                    border-radius: 50%;
                    transition: 0.2s all linear;
                }
                
            }
        }
        
        & .param_row {
            
            display: flex;
            padding: 10px 20px;
            
            & .param_name {
                width: 200px;
                font-weight: bold !important;
                display: inline-block;
                flex: none;
            }
            
            & .param_value {
                display: inline-block;
                flex: 1;
                
                & .feed_error {
                    color: red;
                }
                
            }
            
        }
        
        
        
    }
}

a.button_action {
    width: 250px;
    padding: 10px 20px;
    color: white;
    font-size: 20px;
    text-decoration: none;
    display: block;
    margin: 10px auto;
    text-align: center;
}


.top_header {
    
    & label {
        width: 45px;
        height: 25px;
        display: block;
        background-color: rgb(241, 245, 249);
        border: 1px solid #999;
        border-radius: 13px;
        float: left;
        position: relative;
        
        &::after {
            content: '';
            width: 18px;
            height: 18px;
            display: block;
            position: absolute;
            background-color: #CCC;
            border-radius: 50%;
            top: 2px;
            left: 21px;
            transition: .2s linear all;
        }
        
    }
    
    & input[type="checkbox"] {
        
        display: none;
        
        &:checked + label::after {
            background-color: #3bb764;
            left: 2px;
        }
        
    }
    
}

.calendar_container {
    width: 100%;
    overflow-x: scroll;
    overflow-y: scroll;
    height: calc(100vh - 220px);
    
    & .table_cell {
        padding: 10px !important;
    }
}

ol li::marker {
  color: #999;
}

.table_folder {
     background-color: white !important; 
     text-align: center;
}

.table_result {
     background-color: white !important; 
}

.small_button {
    width: 14px !important;
    height: 14px !important;
    filter:grayscale(1);
    opacity: 0.8;
    background-size: 14px 14px !important;
}

.small_button:hover {
    opacity: 1;
}

label.checkbox {
    width: 45px;
    height: 25px;
    display: block;
    background-color: rgb(241, 245, 249);
    border: 1px solid #999;
    border-radius: 13px;
    float: left;
    position: relative;
}

input[type="checkbox"]:checked + label.checkbox::after {
    background-color: #3bb764;
    left: 2px;
}

input[type="checkbox"] + label.checkbox::after {
    content: '';
    width: 17px;
    height: 17px;
    display: block;
    position: absolute;
    background-color: #CCC;
    border-radius: 50%;
    top: 3px;
    left: 21px;
    transition: .2s linear all;
}

.progressbar {
    width: 100%;
    height: 20px;
    border: 1px solid #CCC;
    border-radius: 10px;
    text-align: center;
    background-image: linear-gradient(to right, rgb(calc(255 - 255 * var(--progress-bar)),calc(255 * var(--progress-bar)),0) 0%, rgb(calc(255 - 255 * var(--progress-bar)),calc(255 * var(--progress-bar)),0) calc(var(--progress-bar) * 100%), transparent calc(var(--progress-bar) * 100%), transparent 100%);
    background-repeat: no-repeat;
    background-size: 100% 20px;
}

.timetine_no_answer {
    color: #999;
}

.table_cell:has(textarea[data-maxlength]) {
    position: relative;
}

.table_cell:has(textarea[data-maxlength])::after {
    display: block;
    position: absolute;
    bottom: 17px;
    right: 27px;
    content: attr(data-curlength) ' / ' attr(data-maxlength);
    font-size: 12px;
    color: #999;
}